## Used in the /function summon operator commands
# Changing Loot table if playing with GBG
execute if score gbg gb.datapack_detect matches 1 as @e[type=zombie,tag=gbz.zombie,sort=nearest,limit=1] at @s run function apocalypse:spawn/zombie/gbg_loot

# Setting Scoreboards for Applicable Zombies
scoreboard players add @e[type=zombie,tag=!gbz.given_nightmare_stats,tag=gbz.scoreboard_timer,distance=..1,limit=2,sort=nearest] gbz.ability_timer 0
execute as @e[type=zombie,tag=!gbz.given_nightmare_stats,tag=gbz.shooter,distance=..1,limit=2,sort=nearest] run function apocalypse:spawn/zombie/scoreboard_add

# Setting Stats Depending on the Difficulty
#Easy
execute if score current_difficulty gbz.difficulty matches 1 as @e[type=zombie,tag=!gbz.given_nightmare_stats,tag=gbz.zombie,sort=nearest,limit=2] at @s run function apocalypse:spawn/zombie/stats/easy
#Normal
execute if score current_difficulty gbz.difficulty matches 2 as @e[type=zombie,tag=!gbz.given_nightmare_stats,tag=gbz.zombie,sort=nearest,limit=2] at @s run function apocalypse:spawn/zombie/stats/normal
#Hard
execute if score current_difficulty gbz.difficulty matches 3 as @e[type=zombie,tag=!gbz.given_nightmare_stats,tag=gbz.zombie,sort=nearest,limit=2] at @s run function apocalypse:spawn/zombie/stats/hard
#Nightmare
tag @e[type=zombie,tag=!gbz.given_nightmare_stats,tag=gbz.zombie,sort=nearest,limit=4] add gbz.extra_zombie
execute if score current_difficulty gbz.difficulty matches 4 as @e[type=zombie,tag=!gbz.given_nightmare_stats,tag=gbz.zombie,sort=nearest,limit=2] at @s run function apocalypse:spawn/zombie/stats/nightmare
